package org.fouram.core.base.dao;

public abstract interface DAO {
	
	public abstract Integer save(String paramString, Object paramObject) throws Exception;

	public abstract Integer update(String paramString, Object paramObject) throws Exception;

	public abstract Integer delete(String paramString, Object paramObject) throws Exception;

	public abstract Object findForObject(String paramString, Object paramObject) throws Exception;

	public abstract Object findForList(String paramString, Object paramObject) throws Exception;

	public abstract Object findForMap(String paramString1, Object paramObject, String paramString2, String paramString3)
			throws Exception;
}
